TUR(8)

NAME
tur - test unit ready

SYNOPSIS
tur [ -a b.t.l ] [ -l ]

DESCRIPTION

The tur program will send a TEST UNIT READY command to all SCSI devices attached to the system.

-a b.t.l
    Selects a specific ordinal SCSI address, where b is the logical SCSI bus, t is the SCSI target, and l is the SCSI logical unit number (LUN) on that target. See libscsi(8).

-l  Performs a complete LUN search for all SCSI adapters in the system. This argument is accepted on all systems, but does not have any effect on HP-UX systems. Due to the method used to scan for available devices on HP-UX systems, all accessible devices are always shown, and the -l option has no additional effect. On all other systems, the normal behavior is to start checking at LUN 0 for SCSI deivces. The first empty LUN found will end the search for a given target ID. With the -l option, all LUNS present on all target IDs for all SCSI busses in the system will be checked for devices. This can take a very long time and should therefore only be used when necessary. For example, a Fibre Channel adapter can support 126 target IDs, each of which may have 80 or more LUNs. Checking all LUNs on this single adapter may take over 10 minutes.

SEE ALSO
libscsi(8)